%define		_default_patch_fuzz 2
%define		polkit_minver 0.8-3
%define		lirc_ver 0.8.4-2

# Python sitelib macro trick from http://fedoraproject.org/wiki/PackagingDrafts/Python
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		gnome-lirc-properties
Version:	0.3.1
Release:	4%{?dist}
Summary:	Infrared Remote Controls setup tool

Group:		User Interface/X Hardware Support
License:	GPLv2+
URL:		http://svn.gnome.org/svn/gnome-lirc-properties/trunk
Source:		http://ftp.gnome.org/pub/GNOME/sources/gnome-lirc-properties/0.2/%{name}-%{version}.tar.gz
# http://bugzilla.gnome.org/show_bug.cgi?id=530359 and blockers
# http://bugzilla.gnome.org/show_bug.cgi?id=540897
# and We have the patches in a 0.8.3 version in Fedora
Patch0:		glp-fedora-support.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=556585
Patch1:		glp-dont-use-fluendo-remotes.patch
# https://bugzilla.redhat.com/show_bug.cgi?id=467340
# http://bugzilla.gnome.org/show_bug.cgi?id=557429
Patch2:		glp-remove-snapstream.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=563853
Patch3:		new-dbus-auth.patch
# http://git.gnome.org/cgit/gnome-lirc-properties/commit/?id=1f4673de56facbefbed6adb9465c358fbe93b0bc
Patch4:		fix-default-config-name-quoting.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	python >= 2.3
Requires:	PolicyKit >= %{polkit_minver}
Requires:	pygtk2
Requires:	lirc >= %{lirc_ver} lirc-remotes >= %{lirc_ver}

BuildRequires:	intltool
BuildRequires:	python-devel >= 2.3
BuildRequires:	PolicyKit-gnome-devel >= %{polkit_minver} gtk2-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	lirc >= %{lirc_ver} lirc-remotes >= %{lirc_ver}
BuildRequires:	desktop-file-utils

BuildArch:	noarch

%description
gnome-lirc-properties helps users set up infrared remote controls for use with
the LIRC framework.

%prep
%setup -q
%patch0 -p0 -b .fedora
%patch1 -p0 -b .no-fluendo-remotes
%patch2 -p0
%patch3 -p1
%patch4 -p1

%build
%configure --disable-conf-check --with-lirc-confdir=%{_sysconfdir} --with-remotes-database=%{_datadir}/lirc-remotes/

make

%install
rm -rf $RPM_BUILD_ROOT

# use DESTDIR so compiled python files get tagged correctly with their
# final location
make DESTDIR=$RPM_BUILD_ROOT install

# Validate the desktop file
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/gnome-lirc-properties.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING README AUTHORS
%{_sysconfdir}/dbus-1/system.d/org.gnome.LircProperties.Mechanism.conf
%{_datadir}/PolicyKit/policy/gnome-lirc-properties-mechanism.policy
%{_datadir}/dbus-1/system-services/org.gnome.LircProperties.Mechanism.service
%{_datadir}/hal/fdi/policy/10osvendor/*.fdi
%{_datadir}/applications/gnome-lirc-properties.desktop
%{_datadir}/gnome/help/gnome-lirc-properties/
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/*
%{_datadir}/omf/gnome-lirc-properties/
%{_bindir}/gnome-lirc-properties
%{python_sitelib}/gnome_lirc_properties
%{_datadir}/%{name}/

%changelog
* Tue Jun 30 2009 Bastien Nocera <bnocera@redhat.com> 0.3.1-4
- Add D-Bus patch to allow the front-end to run
- Fix overly enthusiastic quoting

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3.1-2
- Rebuild for Python 2.6

* Mon Oct 27 2008 - Bastien Nocera <bnocera@redhat.com> - 0.3.1-1
- Update to 0.3.1

* Mon Oct 27 2008 - Bastien Nocera <bnocera@redhat.com> - 0.3.0-5
- Fix chkconfig not being called to auto-start lirc in some cases

* Mon Oct 27 2008 - Bastien Nocera <bnocera@redhat.com> - 0.3.0-4
- Fix USB hiddev devices causing backtraces

* Mon Oct 27 2008 - Bastien Nocera <bnocera@redhat.com> - 0.3.0-3
- Don't detect power buttons

* Wed Oct 22 2008 - Bastien Nocera <bnocera@redhat.com> - 0.3.0-2
- Update Fedora patch to apply

* Wed Oct 22 2008 - Bastien Nocera <bnocera@redhat.com> - 0.3.0-1
- Update to 0.3.0
- Add patch to ignore the StreamZap remotes through lirc kernel
  modules (#467340)

* Fri Oct 17 2008 - Bastien Nocera <bnocera@redhat.com> - 0.2.8-11
- Fix the Logitech mini-receivers being tagged as remotes

* Thu Oct 16 2008 - Bastien Nocera <bnocera@redhat.com> - 0.2.8-10
- Add more receiver definitions

* Thu Oct 16 2008 - Bastien Nocera <bnocera@redhat.com> - 0.2.8-9
- Add support for Mac Mini remotes (#467149)

* Thu Oct 16 2008 - Bastien Nocera <bnocera@redhat.com> - 0.2.8-8
- Fix glade warning on startup

* Thu Oct 16 2008 - Bastien Nocera <bnocera@redhat.com> - 0.2.8-7
- Remove "Update" button, and don't load Fluendo provided remote
  definitions, they're older than ours

* Tue Oct 14 2008 - Bastien Nocera <bnocera@redhat.com> - 0.2.8-6
- Fix compilation

* Mon Oct 13 2008 - Bastien Nocera <bnocera@redhat.com> - 0.2.8-5
- Add PS3 remote controls support

* Fri Jul 04 2008 - Bastien Nocera <bnocera@redhat.com> - 0.2.8-3
- Require a newer PolicyKit that allows root to read auths

* Thu Jul 03 2008 - Bastien Nocera <bnocera@redhat.com> - 0.2.8-2
- Update for the comments by Dan Horák in the review

* Tue Jul 01 2008 - Bastien Nocera <bnocera@redhat.com> - 0.2.8-1
- Update to 0.2.8

* Mon Jun 30 2008 - Bastien Nocera <bnocera@redhat.com> - 0.2.7-5
- Fix traceback when selecting device

* Mon Jun 30 2008 - Bastien Nocera <bnocera@redhat.com> - 0.2.7-4
- Consider a missing /etc/lircd.conf to be a valid configuration

* Mon Jun 30 2008 - Bastien Nocera <bnocera@redhat.com> - 0.2.7-3
- Fix desktop file

* Mon Jun 30 2008 - Bastien Nocera <bnocera@redhat.com> - 0.2.7-2
- Update for lirc changes

* Tue Jun 03 2008 - Bastien Nocera <bnocera@redhat.com> - 0.2.7-1
- Update against lirc with include support, and new upstream version

* Mon Apr 14 2008 - Bastien Nocera <bnocera@redhat.com> - 0.2.5-1
- First package

